%global debug_package %{nil}

Name:		zenmonitor3
Version:	2.0.0
Release:	2%{?dist}
Summary:	Hardware monitoring software for AMD Zen-based CPUs

License:	MIT
URL:		https://github.com/Ta180m/zenpower3
Source0:	https://github.com/Ta180m/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

#Requires:       bash
BuildRequires:	make gcc gtk3-devel sed

%description
Zenmonitor3 is monitoring software for AMD Zen-based CPUs, now with Zen 3 support!
GTK3 interface build

%package cli
Summary:	Hardware monitoring software cli version
BuildRequires:	ncurses-devel

%description cli
Zenmonitor3 command line interface for hardware monitoring

%prep
%setup -q

%build
%make_build
make build-cli DESTDIR=$RPM_BUILD_ROOT

%install
export PREFIX="%{_prefix}"
%make_install
make install-cli DESTDIR=$RPM_BUILD_ROOT
# overwrite desktop file, as is uses the build path via rpm
sed -e "s|@APP_EXEC@|%{_prefix}/bin/zenmonitor|" \
			data/zenmonitor.desktop.in > \
			$RPM_BUILD_ROOT%{_prefix}/share/applications/zenmonitor.desktop
mkdir -p %{buildroot}/usr/share/applications/
mkdir -p %{buildroot}/usr/share/polkit-1/actions/
# disabled, as this does add the path of the build root to the install
#make install-polkit DESTDIR=$RPM_BUILD_ROOT
	sed -e "s|@APP_EXEC@|%{_prefix}/bin/zenmonitor|" \
			data/zenmonitor-root.desktop.in > \
			$RPM_BUILD_ROOT%{_prefix}/share/applications/zenmonitor-root.desktop

	sed -e "s|@APP_EXEC@|%{_prefix}/bin/zenmonitor|" \
			data/org.pkexec.zenmonitor.policy.in > \
			$RPM_BUILD_ROOT/usr/share/polkit-1/actions/org.pkexec.zenmonitor.policy


%files
%{_bindir}/zenmonitor
%{_datadir}/applications/*.desktop
%{_datadir}/polkit-1/actions/org.pkexec.zenmonitor.policy

%files cli
%{_bindir}/zenmonitor-cli

%changelog
* Sat Feb 26 2022 Christian Birk <mail@birkc.de> - 2.0.0-2
- add cli version to build.

* Sat Feb 26 2022 Christian Birk <mail@birkc.de> - 2.0.0-1
- First version being packaged.
